Skip to content

Update an initiative label ​

PATCH/api/v1/workspaces/{workspace_slug}/initiatives/labels/{label_id}/

Update an initiative label by its ID

Path Parameters ​

initiative_label_id:requiredstring

The unique identifier of the initiative label.

label_id:requiredstring

The unique identifier of the label.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

Body Parameters ​

name:optionalstring

Name.

description:optionalstring

Description.

color:optionalstring

Color.

sort_order:optionalnumber

Sort order.

Scopes ​

initiatives.labels:write

Update an initiative label
bash
curl -X PATCH \
  "https://api.plane.so/api/v1/workspaces/my-workspace/initiatives/labels/label-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Example Name",
  "description": "Example description",
  "color": "Example Name",
  "sort_order": 1
}'
Response200
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example Name",
  "description": "Example description",
  "created_at": "2024-01-01T00:00:00Z"
}